package com.lzmispt.data.resource.fallback;

package .tmp;

import com.lzmispt.data.center.entity.dto.resource.lzdpdevelop.GetDataDTO;
import com.lzmispt.data.center.entity.dto.resource.lzdpdevelop.GetTableDTO;
import com.lzmispt.data.center.entity.dto.resource.lzdpdevelop.GetTableTreeDTO;
import com.lzmispt.data.center.entity.vo.resource.lzdpdevelop.TableTreeVO;
import com.lzmispt.data.center.entity.vo.resource.lzdpdevelop.TableVO;
import com.lzmispt.data.resource.client.IndicatorClient;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Component;

@Component
public class IndicatorClientFallBack implements IndicatorClient {
  public ResultEntity<List<TableTreeVO>> getTables(GetTableTreeDTO tableTreeDTO) {
    return null;
  }
  
  public ResultEntity<TableVO> getTableInfo(GetTableDTO tableDTO) {
    return null;
  }
  
  public ResultEntity<List<Map<String, Object>>> getData(GetDataDTO dataDTO) {
    return null;
  }
}
